## org.exist.util.hashtable
Class Object2IntHashMap

    java.lang.Object
      org.exist.util.hashtable.AbstractHashtable
          org.exist.util.hashtable.Object2IntHashMap

public class Object2IntHashMap
extends AbstractHashtable

A hashtable which maps object keys to long values. Keys are compared by their object equality, i.e. two objects are equal if object1.equals(object2).

Author:
  Stephan Körnig, Wolfgang Meier (wolfgang@exist-db.org)

Field Summary
`static int` `UNKNOWN_KEY`

Constructor Summary
`Object2IntHashMap()`
`Object2IntHashMap(int iSize)`

Method Summary
`boolean` `containsKey(java.lang.Object key)`
`int` `get(java.lang.Object key)`
`java.util.Iterator` `iterator()`
`void` `put(java.lang.Object key, int value)` Puts a new key/value pair into the hashtable.
`int` `remove(java.lang.Object key)`
`java.util.Iterator` `stableIterator()`
`java.util.Iterator` `valueIterator()`

Methods inherited from class org.exist.util.hashtable.AbstractHashtable
`getMaxRehash, isPrime, nextPrime, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_KEY

    public static final int UNKNOWN_KEY

See Also:
  Constant Field Values

Constructor Detail

### Object2IntHashMap

    public Object2IntHashMap()

### Object2IntHashMap

    public Object2IntHashMap(int iSize)

Method Detail

### put

    public void put(java.lang.Object key,
                    int value)

  Puts a new key/value pair into the hashtable. If the key does already exist, just the value is updated.

  Parameters:
    `key` -
    `value` -

### get

    public int get(java.lang.Object key)

### containsKey

    public boolean containsKey(java.lang.Object key)

### remove

    public int remove(java.lang.Object key)

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in class `AbstractHashtable`

### valueIterator

    public java.util.Iterator valueIterator()

  Specified by:
    `valueIterator` in class `AbstractHashtable`

### stableIterator

    public java.util.Iterator stableIterator()

Copyright (C) Wolfgang Meier. All rights reserved.